org.richfaces.component

## Class UIMenuGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.UIMenuGroup

- All Implemented Interfaces:
    javax.faces.component.StateHolder, javax.faces.component.ValueHolder
  Direct Known Subclasses:
    HtmlMenuGroup

      public abstract class UIMenuGroup
      extends javax.faces.component.UIOutput

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIOutput

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMenuGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getIcon()`
    `abstract java.lang.String` | `getIconDisabled()`
    `abstract java.lang.String` | `getIconFolder()`
    `abstract java.lang.String` | `getIconFolderDisabled()`
    `abstract java.lang.String` | `getStyle()`
    `abstract java.lang.String` | `getStyleClass()`
    `abstract boolean` | `isDisabled()`
    `abstract void` | `setDisabled(boolean disabled)`
    `abstract void` | `setIcon(java.lang.String icon)`
    `abstract void` | `setIconDisabled(java.lang.String icon)`
    `abstract void` | `setIconFolder(java.lang.String icon)`
    `abstract void` | `setIconFolderDisabled(java.lang.String icon)`
    `abstract void` | `setStyle(java.lang.String style)`
    `abstract void` | `setStyleClass(java.lang.String styleClass)`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getFamily, getLocalValue, getValue, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIMenuGroup

          public UIMenuGroup()

  - ### Method Detail

    - #### isDisabled

          public abstract boolean isDisabled()

    - #### setDisabled

          public abstract void setDisabled(boolean disabled)

    - #### getIcon

          public abstract java.lang.String getIcon()

    - #### setIcon

          public abstract void setIcon(java.lang.String icon)

    - #### getIconDisabled

          public abstract java.lang.String getIconDisabled()

    - #### setIconDisabled

          public abstract void setIconDisabled(java.lang.String icon)

    - #### getIconFolder

          public abstract java.lang.String getIconFolder()

    - #### setIconFolder

          public abstract void setIconFolder(java.lang.String icon)

    - #### getIconFolderDisabled

          public abstract java.lang.String getIconFolderDisabled()

    - #### setIconFolderDisabled

          public abstract void setIconFolderDisabled(java.lang.String icon)

    - #### getStyleClass

          public abstract java.lang.String getStyleClass()

    - #### setStyleClass

          public abstract void setStyleClass(java.lang.String styleClass)

    - #### getStyle

          public abstract java.lang.String getStyle()

    - #### setStyle

          public abstract void setStyle(java.lang.String style)

Copyright © 2014. All Rights Reserved.